const HttpException = require('../../../utils/HttpException.js');

exports.validateStoreProvinceRequest = (body) => {
    const { name } = body;

    if (!name || name.trim() === '') {
        throw new HttpException('Province name is required', 422);
    }

    return { name: name.trim() };
};
